In Progress CPANEL-36255 - I need change php version default

ndmanhcuong

Member
Dec 23, 2020
6
2
3
VietNam
cPanel Access Level
Root Administrator
I don't understand, when I create hosts, version PHP host default set inherit. in spite of I s et the system default PHP version is version 5.6
i want set version php 5.6 when create new host. i need to help !!
1614393468201.png
 
Last edited:

cPRex

Jurassic Moderator
Staff member
Oct 19, 2014
6,810
895
313
cPanel Access Level
Root Administrator
Hey there! The "inherit" value should be what is set in the WHM >> MultiPHP Manager page for the default version. Under the data listed there you'll see the following:

"This setting applies to new account creations and domains set to inherit the System PHP Version."

Can you confirm that PHP 5.6 is not set to the system default on that page?
 
  • Like
Reactions: ndmanhcuong

ndmanhcuong

Member
Dec 23, 2020
6
2
3
VietNam
cPanel Access Level
Root Administrator
Hey there! The "inherit" value should be what is set in the WHM >> MultiPHP Manager page for the default version. Under the data listed there you'll see the following:

"This setting applies to new account creations and domains set to inherit the System PHP Version."

Can you confirm that PHP 5.6 is not set to the system default on that page?
You can see i set System PHP version 5.6, but when i create new hosting
1615793888383.png
but when i create new hosting, php version in hosting is inherit, and i don't undersand this, you can help me.

1615793856662.png
 

cPRex

Jurassic Moderator
Staff member
Oct 19, 2014
6,810
895
313
cPanel Access Level
Root Administrator
Thanks for those screenshots. In your current configuration, any new accounts would be set to PHP 5.6 by default unless you change them from the "inherit" value. "Inherit" just means they will take the server-wide settings from the machine and apply it to new accounts, so what you are seeing is the behavior I expect to happen.

If you want to change the version after that you can do that from the same page.

Can you let me know specifically what isn't working on that page for you?
 

ndmanhcuong

Member
Dec 23, 2020
6
2
3
VietNam
cPanel Access Level
Root Administrator
Thanks for those screenshots. In your current configuration, any new accounts would be set to PHP 5.6 by default unless you change them from the "inherit" value. "Inherit" just means they will take the server-wide settings from the machine and apply it to new accounts, so what you are seeing is the behavior I expect to happen.

If you want to change the version after that you can do that from the same page.

Can you let me know specifically what isn't working on that page for you?
Yes, I have to change again PHP 5.6 for new accounts and enable PHP-FPM. My idea is an automatic set PHP version 5.6
If I don't set PHP 5.6 and don't enable PHP-FPM my source code PHP don't run
1615867242135.png
 

cPRex

Jurassic Moderator
Staff member
Oct 19, 2014
6,810
895
313
cPanel Access Level
Root Administrator
Thanks for the clarification - I was able to reproduce this behavior so I've created case CPANEL-36255 to let our developers know about this. The best way to resolve this at this point is to use the WHM >> MultiPHP Manager page and the "Enable on all domains" button to get that enabled for new accounts.

If I hear an update I'll be sure to reply to this thread with more details.